Subject: bug#40789: closed (Re: bug#40789: vigra 1.11.1 build error)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Apr 2020 20:12:02 +0000

Your bug report

#40789: vigra 1.11.1 build error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40789: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40789
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40789: vigra 1.11.1 build error
From: Leo Famulari <[email-masked]>
To: Michael Rohleder <[email-masked]>
Cc: Danny Milosavljevic <[email-masked]>, [email-masked]
Date: Fri, 24 Apr 2020 16:11:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Apr 23, 2020 at 08:56:39PM +0200, Michael Rohleder wrote:
> Leo Famulari <[email-masked]> writes:
> > This often means it ran out of memory, which would make sense for
> > building vigra. Does that seem plausible here?
> 
> I think its plausible, because I have *just* build vigra from current
> master.

Alright, I'm closing the bug.

Subject: vigra 1.11.1 build error
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Thu, 23 Apr 2020 08:08:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Generation 79   Apr 22 2020 19:23:55    (current)
  guix f916ac1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: f916ac128a2c4f65f06f6a5148a4862855754d1a

c++: internal compiler error: Killed (program cc1plus)
Please submit a full bug report,
with preprocessed source if appropriate.
See <https://gcc.gnu.org/bugs/> for instructions.
make[2]: *** [vigranumpy/src/core/CMakeFiles/vigranumpy_graphs.dir/build.make:79: vigranumpy/src/core/CMakeFiles/vigranumpy_graphs.dir/adjacencyListGraph.cxx.o] Error 4
make[2]: *** Waiting for unfinished jobs....